require 'sketchup.rb'
require 'extensions.rb'

module AMS
  module SoftenEdges

    NAME         = 'AMS 增强柔化'.freeze
    VERSION      = '1.2.0'.freeze
    RELEASE_DATE = 'March 25, 2017'.freeze

    @extension = ::SketchupExtension.new(NAME, 'ams_SoftenEdges/main')

    desc = "Allows softening and smoothing edges with extended options."

    @extension.description = desc
    @extension.version     = VERSION
    @extension.copyright   = 'Anton Synytsia © 2014-2017'
    @extension.creator     = 'Anton Synytsia (anton.synytsia@gmail.com)'

    ::Sketchup.register_extension(@extension, true)

    class << self
      attr_reader :extension
    end # class << self

  end # class SoftenEdges
end # module AMS
